/*!
Theme Name: Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */

@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');

:is(h1, h2, h3, h4, h5, h6) {
    font-variant-numeric: lining-nums;
    -moz-font-feature-settings:"lnum" 1; 
    -moz-font-feature-settings:"lnum=1"; 
    -ms-font-feature-settings:"lnum" 1; 
    -o-font-feature-settings:"lnum" 1; 
    -webkit-font-feature-settings:"lnum" 1; 
    font-feature-settings:"lnum" 1;
}

.fcs-date svg {
    display: inline-block;
    width: 16px;
    fill: var(--global-palette1, #000);
    margin-right: 10px;
    margin-bottom: -2px;
}

.kb-query-item .fcs-date {
    position: absolute;
    bottom: 0;
    left: 0
}

.non-breaking {
    white-space: nowrap;
}


@media (min-width: 767px) {
    .kb-row-layout-wrap.is-style-custom-center .kt-row-column-wrap {
        display: flex;
        gap: 30px;
        flex-wrap: wrap;
        justify-content: center;
    }

    .kb-row-layout-wrap.is-style-custom-center .kt-row-column-wrap > .wp-block-kadence-column {
        width: calc(100% / 2 - 20px);
    }

}

@media (min-width: 1024px) {
    .kb-row-layout-wrap.is-style-custom-center .kt-row-column-wrap > .wp-block-kadence-column {
        width: calc(100% / 3 - 20px);
    }
}




/* Main navigation */
.header-navigation[class*="header-navigation-style-underline"] .header-menu-container>ul>li>a:after,
.header-navigation[class*="header-navigation-style-underline"] .header-menu-container>ul>li>a:hover:after,
.header-navigation[class*="header-navigation-style-underline"] .header-menu-container>ul>li.current-menu-item>a:after, 
.header-navigation[class*="header-navigation-style-underline"] .header-menu-container>ul>li.current-page-item>a:after {
    color: red;
}

/* Lead paragraph */
p.is-style-lead {
    font-size: 18px;
    font-weight: 500;
    font-family: var(--global-heading-font-family);
    font-optical-sizing: auto;
}

p.is-style-smaller {
    font-size: 14px;
}

@media (min-width: 991px) {
    p.is-style-lead {
        font-size: 21px;
    }
}

/* Misc overrides */
.wp-block-kadence-advancedheading:has(+ .wp-block-kadence-spacer) {
    margin-bottom: 0;
}

.wp-block-kadence-advancedheading:has(+ .wp-block-kadence-advancedgallery) {
    margin-bottom: 30px;
}

.home.transparent-header #wrapper #masthead {
    background: transparent;
}

/* Table */
#wrapper .wp-block-table.is-style-stripes tbody tr {
    background: var(--global-palette8);
    font-size: 16px;
}

#wrapper .wp-block-table.is-style-stripes tbody tr:nth-child(odd) {
    background: white;
}

#wrapper .wp-block-table.is-style-stripes {
    border-bottom: 0px solid transparent;
}

@media (max-width: 580px) {
    #wrapper .wp-block-table.is-style-stripes td {
        width: 100%;
        display: block;
    }

    #wrapper .wp-block-table.is-style-stripes td:first-child {
        font-weight: bold;
    }
}

/* Logo grid */
.wp-block-kadence-advancedgallery.is-style-logo-grid img {
    object-fit: contain !important;
    object-position: center !important;
}

.wp-block-kadence-advancedgallery.is-style-logo-grid .kb-gallery-ul, ul.menu .wp-block-kadence-advancedgallery ul.kb-gallery-ul.kb-gallery-ul {
    justify-content: center;
}

/* Infobox */

.wp-block-kadence-infobox.is-style-custom-infobox .kb-info-box-image-ratio-square {
    border-radius: 0 !important;
}

.wp-block-kadence-infobox.is-style-custom-infobox .kb-info-box-image-ratio-square img {
    aspect-ratio: 1/1;
    width: calc(100% - 24px);
    object-fit: contain !important;
    border-radius: 0 !important;
    inset: 12px;
}

.wp-block-kadence-infobox.is-style-custom-infobox .kadence-info-box-image-intrisic.kb-info-box-image-ratio-square {
    width: 80px;
}

.wp-block-kadence-infobox.is-style-custom-infobox .kt-blocks-info-box-media-container {
    margin-top: -80px;
}

.kt-row-column-wrap.kt-row-layout-equal .wp-block-kadence-infobox.is-style-custom-infobox {
    height: calc(100% - 55px);
}
.kt-row-column-wrap.kt-row-layout-equal .wp-block-kadence-infobox.is-style-custom-infobox .kt-blocks-info-box-link-wrap {
    height: 100%;   
}

/* Contact us -form */
#contact-us .wp-block-kadence-advanced-form {
    width: 100%;
}

/* Blog */
.blog .read-more {
    text-decoration: none;
}

.blog .read-more:hover {
    text-decoration: underline;
}

.blog .read-more div {
    font-weight: bold;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 8px;
}

.blog .read-more svg {
    max-height: 15px;
    fill: var(--global-palette-highlight);
}

.blog .read-more:hover svg {
    fill: var(--global-palette-highlight-alt);
}

#archive-container {
    margin-top: 1rem;
    margin-bottom: 4rem;
}

#archive-container .custom-archive-loop-item {
    position: relative;
}

.category-wrapper {
    position: absolute;
    top: 18px;
    left: 10px;
    right: 10px;
    display: flex;
    gap: 10px;
    z-index: 10;
}

.category-wrapper span {
    padding: 5px;
    background: var(--global-palette5, #2c4258);
    color: white;
    font-size: 12px;
    border-radius: 3px;
    line-height: 1;
    text-transform: uppercase;
}

.category-filter-wrapper {
    display: flex;
    gap: 15px;
    justify-content: center;
    margin-top: 30px;
    flex-wrap: wrap;
}

.category-filter-wrapper a {
    padding: 10px 50px;
    background: #F0F2F5;
    color: black;
    font-size: 15px;
    border-radius: 3px;
    line-height: 1;
    text-transform: uppercase;
    text-decoration: none;
    white-space: nowrap;
    font-family: var(--global-heading-font-family);
    font-weight: 600;
}

.category-filter-wrapper :is(a.active, a:hover) {
    background: var(--global-palette5, #2c4258);
    color: white;
}

/* Footer */
.custom-footer-container :is(p, a) {
    font-size: 16px;
}

.custom-footer-container a {
    text-decoration: none;
    &:hover {
        text-decoration: underline;
    }
}

/* MISC overrides */
#main .entry-content.single-content > *:nth-last-child(-n + 1 of *:not(.kb-row-layout-wrap)) {
    padding-bottom: 30px;
}

#wrapper .kb-row-layout-wrap h1 {
    margin-top: 10px;
}
